=== debian/changelog ===
ros-indigo-hector-mapping (0.3.5-1trusty) trusty; urgency=high

  * Use the FindEigen3.cmake module provided by Eigen
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-indigo-hector-mapping (0.3.4-1trusty) trusty; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-indigo-hector-mapping (0.3.3-1trusty) trusty; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-indigo-hector-mapping (0.3.2-1trusty) trusty; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-indigo-hector-mapping (0.3.1-1trusty) trusty; urgency=high

  * respect ``p_map_frame_``
  * added changelogs

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-indigo-hector-mapping (0.3.0-1trusty) trusty; urgency=high

  * catkinized hector_slam
  * hector_mapping: fixed multi-resolution map scan matching index bug in MapRepMultiMap.h

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000
